Extending Qt Creator Manual | KeywordsAssistProposalItem

Extending Qt Creator Manual 4.5.2

# KeywordsAssistProposalItem Class

(TextEditor::KeywordsAssistProposalItem)

Inherits: | TextEditor::AssistProposalItem

- List of all members, including inherited members

## Public Functions

| KeywordsAssistProposalItem(bool isFunction)

## Reimplemented Public Functions

virtual void | applyContextualContent(TextDocumentManipulatorInterface &manipulator, int basePosition) const final
virtual bool | prematurelyApplies(const QChar &c) const final

- 16 public functions inherited from TextEditor::AssistProposalItem
- 12 public functions inherited from TextEditor::AssistProposalItemInterface

## Member Function Documentation

### KeywordsAssistProposalItem::KeywordsAssistProposalItem(bool isFunction)

Default constructs an instance of KeywordsAssistProposalItem.

### `[final virtual]` void KeywordsAssistProposalItem::applyContextualContent(TextDocumentManipulatorInterface &manipulator, int basePosition) const

### `[final virtual]` bool KeywordsAssistProposalItem::prematurelyApplies(const QChar &c) const